2 Replies Latest reply on Dec 7, 2011 4:21 PM by Curtis_E_Flush

    I have version 10.5.8 and can't seem to upgrade

    Wordheals

      I followed all the instructions on downloading Flash so I can view in facebook, but when I tried, this is the error message:  Devices with PowerPC processors are no longer supported. Click below to download the last version of Flash Player for PowerPc.  When I do that, it only takes me to one version which doesn't download... version 10.3 or something like that and one for mac with INtel... which I do not have. Please help.

        • 1. Re: I have version 10.5.8 and can't seem to upgrade
          nancy_001 Level 2

          You can download it on the archived flash player page: http://kb2.adobe.com/cps/142/tn_14266.html

          • 2. Re: I have version 10.5.8 and can't seem to upgrade
            Curtis_E_Flush Level 3

            I'm not thrilled to be the bearer of this bad news, but you need to get a new Mac.  Apple ended ALL support for PPC systems and software in 2009 with the release of OS 10.6. Other companies (like Adobe) ended ALL support for PPC systems and software about the same time.

             

            Apple switched to Intel processors in 2005, so there really is no excuse for still running a PowerPC Mac for things that REQUIRE Intel architecture to run, as a majority of software and web apps do in 2011.

             

            I loved my PPC Macs, and they served me very well for nearly seven years, but the last one eventually had to be replaced with an Intel machine which, to my liking, did everything my old Macs did, only about four times faster... but with new software.

             

            IIf this is the first problem you've run into with updates/upgrades and your PPC processor being incompatible, get ready. It's going to happen a lot more and a lot more often. As the web evolves and you find that Safari 2 or 3 can no longer access web pages, and Firefox stops working with the PPC, you'ill discover that this "trusty" old Mac is no longer useful.